Update asset details
Update asset details.
Required permissions: ASSET
put/tenants/{tenantUid}/assets/{assetUid}
Authorizations
AuthorizationstringRequired
Access token recevied after user login with a deviceToken
Path parameters
tenantUidstringRequiredPattern:
Reference to a tenant.
^[A-Za-z0-9-_]+assetUidstringRequired
Reference to an asset
Body
namestringOptional
categorystring · enumOptionalPossible values:
descriptionstringOptional
isPublicbooleanOptional
urlstringOptional
for self-hosted asset
serviceOrderUidsstring[]Optional
Responses
200
Example response
application/json
and
put/tenants/{tenantUid}/assets/{assetUid}
PUT /v2/tenants/{tenantUid}/assets/{assetUid} HTTP/1.1
Host: api.flowretail.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 115
{
"name": "text",
"category": "BRANDING",
"description": "text",
"isPublic": true,
"url": "text",
"serviceOrderUids": [
"text"
]
}200
Example response
{
"assetUid": "text",
"name": "text",
"description": "text",
"category": "BRANDING",
"isPublic": true,
"publicUrl": "text",
"mimeType": "text",
"size": "text",
"serviceOrderUids": [
"text"
],
"createdBy": "text",
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedBy": "text",
"lastModifiedAt": "2026-01-01T00:00:00.000Z"
}Last updated
Was this helpful?

